import { OnInit } from "@angular/core";
import { StiModelService } from "../../services/model.service";
import { StiColorDialogService } from "../../services/sti-color-dialog.service";
import { StiLocalizationService } from "../../services/sti-localization.service";
import { StiRichTextService } from "../../services/sti-rich-text.service";
import * as i0 from "@angular/core";
export declare class StiColorDialogComponent implements OnInit {
    colorService: StiColorDialogService;
    model: StiModelService;
    loc: StiLocalizationService;
    richText: StiRichTextService;
    get colorRowsCount(): any[];
    get colorColumnsCount(): any[];
    getColor(index: any, type: any): string;
    setTransparent(): void;
    setColor(color: any): void;
    constructor(colorService: StiColorDialogService, model: StiModelService, loc: StiLocalizationService, richText: StiRichTextService);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiColorDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiColorDialogComponent, "sti-color-dialog", never, {}, {}, never, never, false, never>;
}
